{
 * Copyright (c) 2000-2011 Apple Inc. All rights reserved.
 *
 * @APPLE_LICENSE_HEADER_START@
 * 
 * This file contains Original Code and/or Modifications of Original Code
 * as defined in and that are subject to the Apple Public Source License
 * Version 2.0 (the 'License'). You may not use this file except in
 * compliance with the License. Please obtain a copy of the License at
 * http://www.opensource.apple.com/apsl/ and read it before using this
 * file.
 * 
 * The Original Code and all software distributed under the License are
 * distributed on an 'AS IS' basis, WITHOUT WARRANTY OF ANY KIND, EITHER
 * EXPRESS OR IMPLIED, AND APPLE HEREBY DISCLAIMS ALL SUCH WARRANTIES,
 * INCLUDING WITHOUT LIMITATION, ANY WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE, QUIET ENJOYMENT OR NON-INFRINGEMENT.
 * Please see the License for the specific language governing rights and
 * limitations under the License.
 * 
 * @APPLE_LICENSE_HEADER_END@
 }
{  Pascal Translation:  Peter N Lewis, <peter@stairways.com.au>, 2004 }
{  Pascal Translation Updated:  Jonas Maebe, <jonas@freepascal.org>, October 2009 }
{  Pascal Translation Updated:  Jonas Maebe, <jonas@freepascal.org>, October 2012 }
unit SCSchemaDefinitions;
interface
uses MacTypes,CFBase;
{$ALIGN POWER}


{
 * This file is automatically generated
 * DO NOT EDIT!
 }

{
 * Reserved Keys
 *
 *   kSCResvLink                                        "__LINK__"                     CFString
 *   kSCResvInactive                                    "__INACTIVE__"
 *
 * Generic Keys
 *
 *   kSCPropInterfaceName                               "InterfaceName"                CFString
 *   kSCPropMACAddress                                  "MACAddress"                   CFString
 *   kSCPropUserDefinedName                             "UserDefinedName"              CFString
 *   kSCPropVersion                                     "Version"                      CFString
 *
 * Preference Keys
 *
 *   kSCPrefCurrentSet                                  "CurrentSet"                   CFString
 *   kSCPrefNetworkServices                             "NetworkServices"              CFDictionary
 *   kSCPrefSets                                        "Sets"                         CFDictionary
 *   kSCPrefSystem                                      "System"                       CFDictionary
 *
 * Component Keys
 *
 *   kSCCompNetwork                                     "Network"
 *   kSCCompService                                     "Service"
 *   kSCCompGlobal                                      "Global"
 *   kSCCompHostNames                                   "HostNames"
 *   kSCCompInterface                                   "Interface"
 *   kSCCompSystem                                      "System"
 *   kSCCompUsers                                       "Users"
 *
 *   --- Regex pattern which matches any component ---
 *   kSCCompAnyRegex                                    "[^/]+"
 *
 * Network Entity Keys
 *
 *   kSCEntNetAirPort                                   "AirPort"                      CFDictionary
 *   kSCEntNetDHCP                                      "DHCP"                         CFDictionary
 *   kSCEntNetDNS                                       "DNS"                          CFDictionary
 *   kSCEntNetEthernet                                  "Ethernet"                     CFDictionary
 *   kSCEntNetFireWire                                  "FireWire"                     CFDictionary
 *   kSCEntNetInterface                                 "Interface"                    CFDictionary
 *   kSCEntNetIPSec                                     "IPSec"                        CFDictionary
 *   kSCEntNetIPv4                                      "IPv4"                         CFDictionary
 *   kSCEntNetIPv6                                      "IPv6"                         CFDictionary
 *   kSCEntNetL2TP                                      "L2TP"                         CFDictionary
 *   kSCEntNetLink                                      "Link"                         CFDictionary
 *   kSCEntNetModem                                     "Modem"                        CFDictionary
 *   kSCEntNetPPP                                       "PPP"                          CFDictionary
 *   kSCEntNetPPPoE                                     "PPPoE"                        CFDictionary
 *   kSCEntNetPPPSerial                                 "PPPSerial"                    CFDictionary
 *   kSCEntNetPPTP                                      "PPTP"                         CFDictionary
 *   kSCEntNetProxies                                   "Proxies"                      CFDictionary
 *   kSCEntNetSMB                                       "SMB"                          CFDictionary
 *   kSCEntNet6to4                                      "6to4"                         CFDictionary
 *
 * kSCCompNetwork Properties
 *
 *   kSCPropNetOverridePrimary                          "OverridePrimary"              CFNumber (0 or 1)
 *   kSCPropNetServiceOrder                             "ServiceOrder"                 CFArray[CFString]
 *   kSCPropNetPPPOverridePrimary                       "PPPOverridePrimary"           CFNumber (0 or 1)
 *
 * kSCCompNetworkInterface Properties
 *
 *   kSCPropNetInterfaces                               "Interfaces"                   CFArray[CFString]
 *
 * kSCCompNetworkHostNames Properties
 *
 *   kSCPropNetLocalHostName                            "LocalHostName"                CFString
 *
 * kSCEntNetAirPort (Hardware) Entity Keys
 *
 *   kSCPropNetAirPortAllowNetCreation                  "AllowNetCreation"             CFNumber (0 or 1)
 *   kSCPropNetAirPortAuthPassword                      "AuthPassword"                 CFData
 *   kSCPropNetAirPortAuthPasswordEncryption            "AuthPasswordEncryption"       CFString
 *   kSCPropNetAirPortJoinMode                          "JoinMode"                     CFString
 *   kSCPropNetAirPortPowerEnabled                      "PowerEnabled"                 CFNumber (0 or 1)
 *   kSCPropNetAirPortPreferredNetwork                  "PreferredNetwork"             CFString
 *   kSCPropNetAirPortSavePasswords                     "SavePasswords"                CFNumber (0 or 1)
 *
 *   --- kSCPropNetAirPortJoinMode values ---
 *   kSCValNetAirPortJoinModeAutomatic                  "Automatic"
 *   kSCValNetAirPortJoinModePreferred                  "Preferred"
 *   kSCValNetAirPortJoinModeRanked                     "Ranked"
 *   kSCValNetAirPortJoinModeRecent                     "Recent"
 *   kSCValNetAirPortJoinModeStrongest                  "Strongest"
 *
 *   --- kSCPropNetAirPortPasswordEncryption values ---
 *   kSCValNetAirPortAuthPasswordEncryptionKeychain     "Keychain"
 *
 * kSCEntNetDNS Entity Keys
 *
 *   kSCPropNetDNSDomainName                            "DomainName"                   CFString
 *   kSCPropNetDNSOptions                               "Options"                      CFString
 *   kSCPropNetDNSSearchDomains                         "SearchDomains"                CFArray[CFString]
 *   kSCPropNetDNSSearchOrder                           "SearchOrder"                  CFNumber
 *   kSCPropNetDNSServerAddresses                       "ServerAddresses"              CFArray[CFString]
 *   kSCPropNetDNSServerPort                            "ServerPort"                   CFNumber
 *   kSCPropNetDNSServerTimeout                         "ServerTimeout"                CFNumber
 *   kSCPropNetDNSSortList                              "SortList"                     CFArray[CFString]
 *   kSCPropNetDNSSupplementalMatchDomains              "SupplementalMatchDomains"     CFArray[CFString]
 *   kSCPropNetDNSSupplementalMatchOrders               "SupplementalMatchOrders"      CFArray[CFNumber]
 *
 * kSCEntNetEthernet (Hardware) Entity Keys
 *
 *   kSCPropNetEthernetMediaSubType                     "MediaSubType"                 CFString
 *   kSCPropNetEthernetMediaOptions                     "MediaOptions"                 CFArray[CFString]
 *   kSCPropNetEthernetMTU                              "MTU"                          CFNumber
 *
 * kSCEntNetFireWire (Hardware) Entity Keys
 *
 *   * RESERVED FOR FUTURE USE *
 *
 * kSCEntNetInterface Entity Keys
 *
 *   kSCPropNetInterfaceDeviceName                      "DeviceName"                   CFString
 *   kSCPropNetInterfaceHardware                        "Hardware"                     CFString
 *   kSCPropNetInterfaceType                            "Type"                         CFString
 *   kSCPropNetInterfaceSubType                         "SubType"                      CFString
 *   kSCPropNetInterfaceSupportsModemOnHold             "SupportsModemOnHold"          CFNumber (0 or 1)
 *
 *   --- kSCPropNetInterfaceType values ---
 *   kSCValNetInterfaceTypeEthernet                     "Ethernet"
 *   kSCValNetInterfaceTypeFireWire                     "FireWire"
 *   kSCValNetInterfaceTypePPP                          "PPP"
 *   kSCValNetInterfaceType6to4                         "6to4"
 *   kSCValNetInterfaceTypeIPSec                        "IPSec"
 *
 *   --- kSCPropNetServiceSubType values (for PPP) ---
 *   kSCValNetInterfaceSubTypePPPoE                     "PPPoE"
 *   kSCValNetInterfaceSubTypePPPSerial                 "PPPSerial"
 *   kSCValNetInterfaceSubTypePPTP                      "PPTP"
 *   kSCValNetInterfaceSubTypeL2TP                      "L2TP"
 *
 * kSCEntNetIPSec Entity Keys
 *
 *   kSCPropNetIPSecAuthenticationMethod                "AuthenticationMethod"         CFString
 *   kSCPropNetIPSecLocalCertificate                    "LocalCertificate"             CFData
 *   kSCPropNetIPSecLocalIdentifier                     "LocalIdentifier"              CFString
 *   kSCPropNetIPSecLocalIdentifierType                 "LocalIdentifierType"          CFString
 *   kSCPropNetIPSecSharedSecret                        "SharedSecret"                 CFString
 *   kSCPropNetIPSecSharedSecretEncryption              "SharedSecretEncryption"       CFString
 *   kSCPropNetIPSecConnectTime                         "ConnectTime"                  CFNumber
 *   kSCPropNetIPSecRemoteAddress                       "RemoteAddress"                CFString
 *   kSCPropNetIPSecStatus                              "Status"                       CFNumber
 *   kSCPropNetIPSecXAuthEnabled                        "XAuthEnabled"                 CFNumber (0 or 1)
 *   kSCPropNetIPSecXAuthName                           "XAuthName"                    CFString
 *   kSCPropNetIPSecXAuthPassword                       "XAuthPassword"                CFString
 *   kSCPropNetIPSecXAuthPasswordEncryption             "XAuthPasswordEncryption"      CFString
 *
 *   --- kSCPropNetIPSecAuthenticationMethod values ---
 *   kSCValNetIPSecAuthenticationMethodSharedSecret     "SharedSecret"
 *   kSCValNetIPSecAuthenticationMethodCertificate      "Certificate"
 *   kSCValNetIPSecAuthenticationMethodHybrid           "Hybrid"
 *
 *   --- kSCPropNetIPSecLocalIdentifierType values ---
 *   kSCValNetIPSecLocalIdentifierTypeKeyID             "KeyID"
 *
 *   --- kSCPropNetIPSecSharedSecretEncryption values ---
 *   kSCValNetIPSecSharedSecretEncryptionKeychain       "Keychain"
 *
 *   --- kSCPropNetIPSecXAuthPasswordEncryption values ---
 *   kSCValNetIPSecXAuthPasswordEncryptionKeychain      "Keychain"
 *   kSCValNetIPSecXAuthPasswordEncryptionPrompt        "Prompt"
 *
 * kSCEntNetIPv4 Entity Keys
 *
 *   kSCPropNetIPv4Addresses                            "Addresses"                    CFArray[CFString]
 *   kSCPropNetIPv4ConfigMethod                         "ConfigMethod"                 CFString
 *   kSCPropNetIPv4DHCPClientID                         "DHCPClientID"                 CFString
 *   kSCPropNetIPv4Router                               "Router"                       CFString
 *   kSCPropNetIPv4SubnetMasks                          "SubnetMasks"                  CFArray[CFString]
 *   kSCPropNetIPv4DestAddresses                        "DestAddresses"                CFArray[CFString]
 *   kSCPropNetIPv4BroadcastAddresses                   "BroadcastAddresses"           CFArray[CFString]
 *
 *   --- kSCPropNetIPv4ConfigMethod values ---
 *   kSCValNetIPv4ConfigMethodAutomatic                 "Automatic"
 *   kSCValNetIPv4ConfigMethodBOOTP                     "BOOTP"
 *   kSCValNetIPv4ConfigMethodDHCP                      "DHCP"
 *   kSCValNetIPv4ConfigMethodINFORM                    "INFORM"
 *   kSCValNetIPv4ConfigMethodLinkLocal                 "LinkLocal"
 *   kSCValNetIPv4ConfigMethodManual                    "Manual"
 *   kSCValNetIPv4ConfigMethodPPP                       "PPP"
 *
 * kSCEntNetIPv6 Entity Keys
 *
 *   kSCPropNetIPv6Addresses                            "Addresses"                    CFArray[CFString]
 *   kSCPropNetIPv6ConfigMethod                         "ConfigMethod"                 CFString
 *   kSCPropNetIPv6DestAddresses                        "DestAddresses"                CFArray[CFString]
 *   kSCPropNetIPv6Flags                                "Flags"                        CFNumber
 *   kSCPropNetIPv6PrefixLength                         "PrefixLength"                 CFArray[CFNumber]
 *   kSCPropNetIPv6Router                               "Router"                       CFString
 *
 *   --- kSCPropNetIPv6ConfigMethod values ---
 *   kSCValNetIPv6ConfigMethodAutomatic                 "Automatic"
 *   kSCValNetIPv6ConfigMethodLinkLocal                 "LinkLocal"
 *   kSCValNetIPv6ConfigMethodManual                    "Manual"
 *   kSCValNetIPv6ConfigMethodRouterAdvertisement       "RouterAdvertisement"
 *   kSCValNetIPv6ConfigMethod6to4                      "6to4"
 *
 * kSCEntNet6to4 Entity Keys
 *
 *   kSCPropNet6to4Relay                                "Relay"                        CFString
 *
 * kSCEntNetLink Entity Keys
 *
 *   kSCPropNetLinkActive                               "Active"                       CFBoolean
 *   kSCPropNetLinkDetaching                            "Detaching"                    CFBoolean
 *
 * kSCEntNetModem (Hardware) Entity Keys
 *
 *   kSCPropNetModemAccessPointName                     "AccessPointName"              CFString
 *   kSCPropNetModemConnectionPersonality               "ConnectionPersonality"        CFString
 *   kSCPropNetModemConnectionScript                    "ConnectionScript"             CFString
 *   kSCPropNetModemConnectSpeed                        "ConnectSpeed"                 CFNumber
 *   kSCPropNetModemDataCompression                     "DataCompression"              CFNumber (0 or 1)
 *   kSCPropNetModemDeviceContextID                     "DeviceContextID"              CFString
 *   kSCPropNetModemDeviceModel                         "DeviceModel"                  CFString
 *   kSCPropNetModemDeviceVendor                        "DeviceVendor"                 CFString
 *   kSCPropNetModemDialMode                            "DialMode"                     CFString
 *   kSCPropNetModemErrorCorrection                     "ErrorCorrection"              CFNumber (0 or 1)
 *   kSCPropNetModemHoldCallWaitingAudibleAlert         "HoldCallWaitingAudibleAlert"  CFNumber (0 or 1)
 *   kSCPropNetModemHoldDisconnectOnAnswer              "HoldDisconnectOnAnswer"       CFNumber (0 or 1)
 *   kSCPropNetModemHoldEnabled                         "HoldEnabled"                  CFNumber (0 or 1)
 *   kSCPropNetModemHoldReminder                        "HoldReminder"                 CFNumber (0 or 1)
 *   kSCPropNetModemHoldReminderTime                    "HoldReminderTime"             CFNumber
 *   kSCPropNetModemNote                                "Note"                         CFString
 *   kSCPropNetModemPulseDial                           "PulseDial"                    CFNumber (0 or 1)
 *   kSCPropNetModemSpeaker                             "Speaker"                      CFNumber (0 or 1)
 *   kSCPropNetModemSpeed                               "Speed"                        CFNumber
 *
 *   --- kSCPropNetModemDialMode values ---
 *   kSCValNetModemDialModeIgnoreDialTone               "IgnoreDialTone"
 *   kSCValNetModemDialModeManual                       "Manual"
 *   kSCValNetModemDialModeWaitForDialTone              "WaitForDialTone"
 *
 * kSCEntNetPPP Entity Keys
 *
 *   kSCPropNetPPPACSPEnabled                           "ACSPEnabled"                  CFNumber (0 or 1)
 *   kSCPropNetPPPConnectTime                           "ConnectTime"                  CFNumber
 *   kSCPropNetPPPDeviceLastCause                       "DeviceLastCause"              CFNumber
 *   kSCPropNetPPPDialOnDemand                          "DialOnDemand"                 CFNumber (0 or 1)
 *   kSCPropNetPPPDisconnectOnFastUserSwitch            "DisconnectOnFastUserSwitch"   CFNumber (0 or 1)
 *   kSCPropNetPPPDisconnectOnIdle                      "DisconnectOnIdle"             CFNumber (0 or 1)
 *   kSCPropNetPPPDisconnectOnIdleTimer                 "DisconnectOnIdleTimer"        CFNumber
 *   kSCPropNetPPPDisconnectOnLogout                    "DisconnectOnLogout"           CFNumber (0 or 1)
 *   kSCPropNetPPPDisconnectOnSleep                     "DisconnectOnSleep"            CFNumber (0 or 1)
 *   kSCPropNetPPPDisconnectTime                        "DisconnectTime"               CFNumber
 *   kSCPropNetPPPIdleReminderTimer                     "IdleReminderTimer"            CFNumber
 *   kSCPropNetPPPIdleReminder                          "IdleReminder"                 CFNumber (0 or 1)
 *   kSCPropNetPPPLastCause                             "LastCause"                    CFNumber
 *   kSCPropNetPPPLogfile                               "Logfile"                      CFString
 *   kSCPropNetPPPPlugins                               "Plugins"                      CFArray[CFString]
 *   kSCPropNetPPPRetryConnectTime                      "RetryConnectTime"             CFNumber
 *   kSCPropNetPPPSessionTimer                          "SessionTimer"                 CFNumber
 *   kSCPropNetPPPStatus                                "Status"                       CFNumber
 *   kSCPropNetPPPUseSessionTimer                       "UseSessionTimer"              CFNumber (0 or 1)
 *   kSCPropNetPPPVerboseLogging                        "VerboseLogging"               CFNumber (0 or 1)
 *
 *   --- Auth: ---
 *   kSCPropNetPPPAuthEAPPlugins                        "AuthEAPPlugins"               CFArray[CFString]
 *   kSCPropNetPPPAuthName                              "AuthName"                     CFString
 *   kSCPropNetPPPAuthPassword                          "AuthPassword"                 CFString
 *   kSCPropNetPPPAuthPasswordEncryption                "AuthPasswordEncryption"       CFString
 *   kSCPropNetPPPAuthPrompt                            "AuthPrompt"                   CFString
 *   kSCPropNetPPPAuthProtocol                          "AuthProtocol"                 CFArray[CFString]
 *
 *   --- kSCPropNetPPPAuthPasswordEncryption values ---
 *   kSCValNetPPPAuthPasswordEncryptionKeychain         "Keychain"
 *   kSCValNetPPPAuthPasswordEncryptionToken            "Token"
 *
 *   --- kSCPropNetPPPAuthPrompt values ---
 *   kSCValNetPPPAuthPromptBefore                       "Before"                       CFString
 *   kSCValNetPPPAuthPromptAfter                        "After"                        CFString
 *
 *   --- kSCPropNetPPPAuthProtocol values ---
 *   kSCValNetPPPAuthProtocolCHAP                       "CHAP"                         CFString
 *   kSCValNetPPPAuthProtocolEAP                        "EAP"                          CFString
 *   kSCValNetPPPAuthProtocolMSCHAP1                    "MSCHAP1"                      CFString
 *   kSCValNetPPPAuthProtocolMSCHAP2                    "MSCHAP2"                      CFString
 *   kSCValNetPPPAuthProtocolPAP                        "PAP"                          CFString
 *
 *   --- Comm: ---
 *   kSCPropNetPPPCommAlternateRemoteAddress            "CommAlternateRemoteAddress"   CFString
 *   kSCPropNetPPPCommConnectDelay                      "CommConnectDelay"             CFNumber
 *   kSCPropNetPPPCommDisplayTerminalWindow             "CommDisplayTerminalWindow"    CFNumber (0 or 1)
 *   kSCPropNetPPPCommRedialCount                       "CommRedialCount"              CFNumber
 *   kSCPropNetPPPCommRedialEnabled                     "CommRedialEnabled"            CFNumber (0 or 1)
 *   kSCPropNetPPPCommRedialInterval                    "CommRedialInterval"           CFNumber
 *   kSCPropNetPPPCommRemoteAddress                     "CommRemoteAddress"            CFString
 *   kSCPropNetPPPCommTerminalScript                    "CommTerminalScript"           CFString
 *   kSCPropNetPPPCommUseTerminalScript                 "CommUseTerminalScript"        CFNumber (0 or 1)
 *
 *   --- CCP: ---
 *   kSCPropNetPPPCCPEnabled                            "CCPEnabled"                   CFNumber (0 or 1)
 *   kSCPropNetPPPCCPMPPE40Enabled                      "CCPMPPE40Enabled"             CFNumber (0 or 1)
 *   kSCPropNetPPPCCPMPPE128Enabled                     "CCPMPPE128Enabled"            CFNumber (0 or 1)
 *
 *   --- IPCP: ---
 *   kSCPropNetPPPIPCPCompressionVJ                     "IPCPCompressionVJ"            CFNumber (0 or 1)
 *   kSCPropNetPPPIPCPUsePeerDNS                        "IPCPUsePeerDNS"               CFNumber (0 or 1)
 *
 *   --- LCP: ---
 *   kSCPropNetPPPLCPEchoEnabled                        "LCPEchoEnabled"               CFNumber (0 or 1)
 *   kSCPropNetPPPLCPEchoFailure                        "LCPEchoFailure"               CFNumber
 *   kSCPropNetPPPLCPEchoInterval                       "LCPEchoInterval"              CFNumber
 *   kSCPropNetPPPLCPCompressionACField                 "LCPCompressionACField"        CFNumber (0 or 1)
 *   kSCPropNetPPPLCPCompressionPField                  "LCPCompressionPField"         CFNumber (0 or 1)
 *   kSCPropNetPPPLCPMRU                                "LCPMRU"                       CFNumber
 *   kSCPropNetPPPLCPMTU                                "LCPMTU"                       CFNumber
 *   kSCPropNetPPPLCPReceiveACCM                        "LCPReceiveACCM"               CFNumber
 *   kSCPropNetPPPLCPTransmitACCM                       "LCPTransmitACCM"              CFNumber
 *
 * kSCEntNetPPPoE Entity Keys
 *
 *   * RESERVED FOR FUTURE USE *
 *
 * kSCEntNetPPPSerial Entity Keys
 *
 *   * RESERVED FOR FUTURE USE *
 *
 * kSCEntNetPPTP Entity Keys
 *
 *   * RESERVED FOR FUTURE USE *
 *
 * kSCEntNetL2TP Entity Keys
 *
 *   kSCPropNetL2TPIPSecSharedSecret                    "IPSecSharedSecret"            CFString
 *   kSCPropNetL2TPIPSecSharedSecretEncryption          "IPSecSharedSecretEncryption"  CFString
 *   kSCPropNetL2TPTransport                            "Transport"                    CFString
 *
 *   --- kSCPropNetL2TPIPSecSharedSecretEncryption values ---
 *   kSCValNetL2TPIPSecSharedSecretEncryptionKeychain   "Keychain"
 *
 *   --- kSCPropNetL2TPTransport values ---
 *   kSCValNetL2TPTransportIP                           "IP"
 *   kSCValNetL2TPTransportIPSec                        "IPSec"
 *
 * kSCEntNetProxies Entity Keys
 *
 *   kSCPropNetProxiesExceptionsList                    "ExceptionsList"               CFArray[CFString]
 *   kSCPropNetProxiesExcludeSimpleHostnames            "ExcludeSimpleHostnames"       CFNumber (0 or 1)
 *   kSCPropNetProxiesFTPEnable                         "FTPEnable"                    CFNumber (0 or 1)
 *   kSCPropNetProxiesFTPPassive                        "FTPPassive"                   CFNumber (0 or 1)
 *   kSCPropNetProxiesFTPPort                           "FTPPort"                      CFNumber
 *   kSCPropNetProxiesFTPProxy                          "FTPProxy"                     CFString
 *   kSCPropNetProxiesGopherEnable                      "GopherEnable"                 CFNumber (0 or 1)
 *   kSCPropNetProxiesGopherPort                        "GopherPort"                   CFNumber
 *   kSCPropNetProxiesGopherProxy                       "GopherProxy"                  CFString
 *   kSCPropNetProxiesHTTPEnable                        "HTTPEnable"                   CFNumber (0 or 1)
 *   kSCPropNetProxiesHTTPPort                          "HTTPPort"                     CFNumber
 *   kSCPropNetProxiesHTTPProxy                         "HTTPProxy"                    CFString
 *   kSCPropNetProxiesHTTPSEnable                       "HTTPSEnable"                  CFNumber (0 or 1)
 *   kSCPropNetProxiesHTTPSPort                         "HTTPSPort"                    CFNumber
 *   kSCPropNetProxiesHTTPSProxy                        "HTTPSProxy"                   CFString
 *   kSCPropNetProxiesRTSPEnable                        "RTSPEnable"                   CFNumber (0 or 1)
 *   kSCPropNetProxiesRTSPPort                          "RTSPPort"                     CFNumber
 *   kSCPropNetProxiesRTSPProxy                         "RTSPProxy"                    CFString
 *   kSCPropNetProxiesSOCKSEnable                       "SOCKSEnable"                  CFNumber (0 or 1)
 *   kSCPropNetProxiesSOCKSPort                         "SOCKSPort"                    CFNumber
 *   kSCPropNetProxiesSOCKSProxy                        "SOCKSProxy"                   CFString
 *   kSCPropNetProxiesProxyAutoConfigEnable             "ProxyAutoConfigEnable"        CFNumber (0 or 1)
 *   kSCPropNetProxiesProxyAutoConfigJavaScript         "ProxyAutoConfigJavaScript"    CFString
 *   kSCPropNetProxiesProxyAutoConfigURLString          "ProxyAutoConfigURLString"     CFString
 *   kSCPropNetProxiesProxyAutoDiscoveryEnable          "ProxyAutoDiscoveryEnable"     CFNumber (0 or 1)
 *
 * kSCEntNetSMB Entity Keys
 *
 *   kSCPropNetSMBNetBIOSName                           "NetBIOSName"                  CFString
 *   kSCPropNetSMBNetBIOSNodeType                       "NetBIOSNodeType"              CFString
 *   kSCPropNetSMBNetBIOSScope                          "NetBIOSScope"                 CFString
 *   kSCPropNetSMBWINSAddresses                         "WINSAddresses"                CFArray[CFString]
 *   kSCPropNetSMBWorkgroup                             "Workgroup"                    CFString
 *
 *   --- kSCPropNetSMBNetBIOSNodeType values ---
 *   kSCValNetSMBNetBIOSNodeTypeBroadcast               "Broadcast"
 *   kSCValNetSMBNetBIOSNodeTypePeer                    "Peer"
 *   kSCValNetSMBNetBIOSNodeTypeMixed                   "Mixed"
 *   kSCValNetSMBNetBIOSNodeTypeHybrid                  "Hybrid"
 *
 * kSCCompUsers Entity Keys
 *
 *   kSCEntUsersConsoleUser                             "ConsoleUser"
 *
 * kSCCompSystem Properties
 *
 *   kSCPropSystemComputerName                          "ComputerName"                 CFString
 *   kSCPropSystemComputerNameEncoding                  "ComputerNameEncoding"         CFNumber
 *
 * SCDynamicStore "domain" prefixes
 *
 *   kSCDynamicStoreDomainFile                          "File:"
 *   kSCDynamicStoreDomainPlugin                        "Plugin:"
 *   kSCDynamicStoreDomainSetup                         "Setup:"
 *   kSCDynamicStoreDomainState                         "State:"
 *   kSCDynamicStoreDomainPrefs                         "Prefs:"
 *
 * Preference ("location") Keys
 *
 *   kSCDynamicStorePropSetupCurrentSet                 "CurrentSet"                   CFString
 *   kSCDynamicStorePropSetupLastUpdated                "LastUpdated"
 *
 * Common/shared Keys
 *
 *   kSCDynamicStorePropNetInterfaces                   "Interfaces"                   CFArray[CFString]
 *   kSCDynamicStorePropNetPrimaryInterface             "PrimaryInterface"             CFString
 *   kSCDynamicStorePropNetPrimaryService               "PrimaryService"               CFString
 *   kSCDynamicStorePropNetServiceIDs                   "ServiceIDs"                   CFArray[CFString]
 }


{
 * Note: The MACOSX_DEPLOYMENT_TARGET environment variable should be used
 *       when building an application targeted for an earlier version of
 *       Mac OS X.  Please reference Technical Note TN2064 for more details.
 }

{
 * Note: For Cocoa/Obj-C/Foundation applications accessing these preference
 *       keys you may want to consider the following :
 *
 *       #define SC_SCHEMA_DECLARATION(k,q)	extern NSString * k;
 *       #import <SystemConfiguration/SystemConfiguration.h>
 }

{
 * Note: For CFM applications using these schema keys you may want to
 *       consider the following :
 *
 *       #define SC_SCHEMA_DECLARATION(k,q)
 *       #define SC_SCHEMA_KV(k,v,t)	lookup_SC_key( CFSTR( #k ) )
 *       #include <SystemConfiguration/SystemConfiguration.h>
 *
 *       CFStringRef lookup_SC_key(CFStringRef key)
 *       (
 *         // this function should [dynamically, on-demand] load the
 *         // SystemConfiguration.framework, look up the provided key,
 *         // and return the associated value.
 *       )
 }

{
 * Note: Earlier versions of this header file defined a "SCSTR" macro
 *       which helped to facilitate Obj-C development. Use of this macro
 *       has been deprecated (in Mac OS X 10.4) in favor of the newer
 *       "SC_SCHEMA_DECLARATION" and "SC_SCHEMA_KV" macros
 }



{ -------------------- HeaderDoc comments -------------------- }


{ -------------------- Schema declarations -------------------- }

{ until __IPHONE_NA is automatically translated }
{$ifc TARGET_OS_MAC}

const kSCResvLink: CFStringRef; { CFString	"__LINK__" }
__OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA);

const kSCResvInactive: CFStringRef; { 	"__INACTIVE__" }
__OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA);

const kSCPropInterfaceName: CFStringRef; { CFString	"InterfaceName" }
__OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA);

const kSCPropMACAddress: CFStringRef; { CFString	"MACAddress" }
__OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA);

const kSCPropUserDefinedName: CFStringRef; { CFString	"UserDefinedName" }
__OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA);

const kSCPropVersion: CFStringRef; { CFString	"Version" }
__OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA);

const kSCPrefCurrentSet: CFStringRef; { CFString	"CurrentSet" }
__OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA);

const kSCPrefNetworkServices: CFStringRef; { CFDictionary	"NetworkServices" }
__OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA);

const kSCPrefSets: CFStringRef; { CFDictionary	"Sets" }
__OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA);

const kSCPrefSystem: CFStringRef; { CFDictionary	"System" }
__OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA);

const kSCCompNetwork: CFStringRef; { 	"Network" }
__OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA);

const kSCCompService: CFStringRef; { 	"Service" }
__OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA);

const kSCCompGlobal: CFStringRef; { 	"Global" }
__OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA);

const kSCCompHostNames: CFStringRef; { 	"HostNames" }
__OSX_AVAILABLE_STARTING(__MAC_10_2,__IPHONE_NA);

const kSCCompInterface: CFStringRef; { 	"Interface" }
__OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA);

const kSCCompSystem: CFStringRef; { 	"System" }
__OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA);

const kSCCompUsers: CFStringRef; { 	"Users" }
__OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA);

const kSCCompAnyRegex: CFStringRef; { 	"[^/]+" }
__OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA);

const kSCEntNetAirPort: CFStringRef; { CFDictionary	"AirPort" }
__OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA);

{$ifc not TARGET_OS_IPHONE}

const kSCEntNetAppleTalk: CFStringRef; { CFDictionary	"AppleTalk" }
__OSX_AVAILABLE_BUT_DEPRECATED(__MAC_10_1,__MAC_10_6,__IPHONE_NA,__IPHONE_NA);

{$endc} {not TARGET_OS_IPHONE}

const kSCEntNetDHCP: CFStringRef; { CFDictionary	"DHCP" }
__OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA);

const kSCEntNetDNS: CFStringRef; { CFDictionary	"DNS" }
__OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA);

const kSCEntNetEthernet: CFStringRef; { CFDictionary	"Ethernet" }
__OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA);

const kSCEntNetFireWire: CFStringRef; { CFDictionary	"FireWire" }
__OSX_AVAILABLE_STARTING(__MAC_10_3,__IPHONE_NA);

const kSCEntNetInterface: CFStringRef; { CFDictionary	"Interface" }
__OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA);

const kSCEntNetIPSec: CFStringRef; { CFDictionary	"IPSec" }
__OSX_AVAILABLE_STARTING(__MAC_10_5,__IPHONE_NA);

const kSCEntNetIPv4: CFStringRef; { CFDictionary	"IPv4" }
__OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA);

const kSCEntNetIPv6: CFStringRef; { CFDictionary	"IPv6" }
__OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA);

const kSCEntNetL2TP: CFStringRef; { CFDictionary	"L2TP" }
__OSX_AVAILABLE_STARTING(__MAC_10_3,__IPHONE_NA);

const kSCEntNetLink: CFStringRef; { CFDictionary	"Link" }
__OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA);

const kSCEntNetModem: CFStringRef; { CFDictionary	"Modem" }
__OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA);

{$ifc not TARGET_OS_IPHONE}

const kSCEntNetNetInfo: CFStringRef; { CFDictionary	"NetInfo" }
__OSX_AVAILABLE_BUT_DEPRECATED(__MAC_10_1,__MAC_10_5,__IPHONE_NA,__IPHONE_NA);

{$endc} {not TARGET_OS_IPHONE}

const kSCEntNetPPP: CFStringRef; { CFDictionary	"PPP" }
__OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA);

const kSCEntNetPPPoE: CFStringRef; { CFDictionary	"PPPoE" }
__OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA);

const kSCEntNetPPPSerial: CFStringRef; { CFDictionary	"PPPSerial" }
__OSX_AVAILABLE_STARTING(__MAC_10_3,__IPHONE_NA);

const kSCEntNetPPTP: CFStringRef; { CFDictionary	"PPTP" }
__OSX_AVAILABLE_STARTING(__MAC_10_3,__IPHONE_NA);

const kSCEntNetProxies: CFStringRef; { CFDictionary	"Proxies" }
__OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA);

{$ifc not TARGET_OS_IPHONE}

const kSCEntNetSMB: CFStringRef; { CFDictionary	"SMB" }
__OSX_AVAILABLE_STARTING(__MAC_10_5,__IPHONE_NA);

{$endc} {not TARGET_OS_IPHONE}

const kSCEntNet6to4: CFStringRef; { CFDictionary	"6to4" }
__OSX_AVAILABLE_STARTING(__MAC_10_3,__IPHONE_NA);

const kSCPropNetOverridePrimary: CFStringRef; { CFNumber (0 or 1)	"OverridePrimary" }
__OSX_AVAILABLE_STARTING(__MAC_10_2,__IPHONE_NA);

const kSCPropNetServiceOrder: CFStringRef; { CFArray[CFString]	"ServiceOrder" }
__OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA);

const kSCPropNetPPPOverridePrimary: CFStringRef; { CFNumber (0 or 1)	"PPPOverridePrimary" }
__OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA);

const kSCPropNetInterfaces: CFStringRef; { CFArray[CFString]	"Interfaces" }
__OSX_AVAILABLE_STARTING(__MAC_10_2,__IPHONE_NA);

const kSCPropNetLocalHostName: CFStringRef; { CFString	"LocalHostName" }
__OSX_AVAILABLE_STARTING(__MAC_10_2,__IPHONE_NA);

const kSCPropNetAirPortAllowNetCreation: CFStringRef; { CFNumber (0 or 1)	"AllowNetCreation" }
__OSX_AVAILABLE_STARTING(__MAC_10_2,__IPHONE_NA);

const kSCPropNetAirPortAuthPassword: CFStringRef; { CFData	"AuthPassword" }
__OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA);

const kSCPropNetAirPortAuthPasswordEncryption: CFStringRef; { CFString	"AuthPasswordEncryption" }
__OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA);

const kSCPropNetAirPortJoinMode: CFStringRef; { CFString	"JoinMode" }
__OSX_AVAILABLE_STARTING(__MAC_10_2,__IPHONE_NA);

const kSCPropNetAirPortPowerEnabled: CFStringRef; { CFNumber (0 or 1)	"PowerEnabled" }
__OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA);

const kSCPropNetAirPortPreferredNetwork: CFStringRef; { CFString	"PreferredNetwork" }
__OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA);

const kSCPropNetAirPortSavePasswords: CFStringRef; { CFNumber (0 or 1)	"SavePasswords" }
__OSX_AVAILABLE_STARTING(__MAC_10_2,__IPHONE_NA);

const kSCValNetAirPortJoinModeAutomatic: CFStringRef; { 	"Automatic" }
__OSX_AVAILABLE_STARTING(__MAC_10_3,__IPHONE_NA);

const kSCValNetAirPortJoinModePreferred: CFStringRef; { 	"Preferred" }
__OSX_AVAILABLE_STARTING(__MAC_10_2,__IPHONE_NA);

const kSCValNetAirPortJoinModeRanked: CFStringRef; { 	"Ranked" }
__OSX_AVAILABLE_STARTING(__MAC_10_4,__IPHONE_NA);

const kSCValNetAirPortJoinModeRecent: CFStringRef; { 	"Recent" }
__OSX_AVAILABLE_STARTING(__MAC_10_2,__IPHONE_NA);

const kSCValNetAirPortJoinModeStrongest: CFStringRef; { 	"Strongest" }
__OSX_AVAILABLE_STARTING(__MAC_10_2,__IPHONE_NA);

const kSCValNetAirPortAuthPasswordEncryptionKeychain: CFStringRef; { 	"Keychain" }
__OSX_AVAILABLE_STARTING(__MAC_10_3,__IPHONE_NA);

{$ifc not TARGET_OS_IPHONE}

const kSCPropNetAppleTalkComputerName: CFStringRef; { CFString	"ComputerName" }
__OSX_AVAILABLE_BUT_DEPRECATED(__MAC_10_1,__MAC_10_6,__IPHONE_NA,__IPHONE_NA);

const kSCPropNetAppleTalkComputerNameEncoding: CFStringRef; { CFNumber	"ComputerNameEncoding" }
__OSX_AVAILABLE_BUT_DEPRECATED(__MAC_10_1,__MAC_10_6,__IPHONE_NA,__IPHONE_NA);

const kSCPropNetAppleTalkConfigMethod: CFStringRef; { CFString	"ConfigMethod" }
__OSX_AVAILABLE_BUT_DEPRECATED(__MAC_10_1,__MAC_10_6,__IPHONE_NA,__IPHONE_NA);

const kSCPropNetAppleTalkDefaultZone: CFStringRef; { CFString	"DefaultZone" }
__OSX_AVAILABLE_BUT_DEPRECATED(__MAC_10_1,__MAC_10_6,__IPHONE_NA,__IPHONE_NA);

const kSCPropNetAppleTalkNetworkID: CFStringRef; { CFNumber	"NetworkID" }
__OSX_AVAILABLE_BUT_DEPRECATED(__MAC_10_1,__MAC_10_6,__IPHONE_NA,__IPHONE_NA);

const kSCPropNetAppleTalkNetworkRange: CFStringRef; { CFArray[CFNumber]	"NetworkRange" }
__OSX_AVAILABLE_BUT_DEPRECATED(__MAC_10_2,__MAC_10_6,__IPHONE_NA,__IPHONE_NA);

const kSCPropNetAppleTalkNodeID: CFStringRef; { CFNumber	"NodeID" }
__OSX_AVAILABLE_BUT_DEPRECATED(__MAC_10_1,__MAC_10_6,__IPHONE_NA,__IPHONE_NA);

const kSCPropNetAppleTalkSeedNetworkRange: CFStringRef; { CFArray[CFNumber]	"SeedNetworkRange" }
__OSX_AVAILABLE_BUT_DEPRECATED(__MAC_10_1,__MAC_10_6,__IPHONE_NA,__IPHONE_NA);

const kSCPropNetAppleTalkSeedZones: CFStringRef; { CFArray[CFString]	"SeedZones" }
__OSX_AVAILABLE_BUT_DEPRECATED(__MAC_10_1,__MAC_10_6,__IPHONE_NA,__IPHONE_NA);

const kSCValNetAppleTalkConfigMethodNode: CFStringRef; { 	"Node" }
__OSX_AVAILABLE_BUT_DEPRECATED(__MAC_10_1,__MAC_10_6,__IPHONE_NA,__IPHONE_NA);

const kSCValNetAppleTalkConfigMethodRouter: CFStringRef; { 	"Router" }
__OSX_AVAILABLE_BUT_DEPRECATED(__MAC_10_1,__MAC_10_6,__IPHONE_NA,__IPHONE_NA);

const kSCValNetAppleTalkConfigMethodSeedRouter: CFStringRef; { 	"SeedRouter" }
__OSX_AVAILABLE_BUT_DEPRECATED(__MAC_10_1,__MAC_10_6,__IPHONE_NA,__IPHONE_NA);

{$endc} {not TARGET_OS_IPHONE}

const kSCPropNetDNSDomainName: CFStringRef; { CFString	"DomainName" }
__OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA);

const kSCPropNetDNSOptions: CFStringRef; { CFString	"Options" }
__OSX_AVAILABLE_STARTING(__MAC_10_4,__IPHONE_NA);

const kSCPropNetDNSSearchDomains: CFStringRef; { CFArray[CFString]	"SearchDomains" }
__OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA);

const kSCPropNetDNSSearchOrder: CFStringRef; { CFNumber	"SearchOrder" }
__OSX_AVAILABLE_STARTING(__MAC_10_4,__IPHONE_NA);

const kSCPropNetDNSServerAddresses: CFStringRef; { CFArray[CFString]	"ServerAddresses" }
__OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA);

const kSCPropNetDNSServerPort: CFStringRef; { CFNumber	"ServerPort" }
__OSX_AVAILABLE_STARTING(__MAC_10_4,__IPHONE_NA);

const kSCPropNetDNSServerTimeout: CFStringRef; { CFNumber	"ServerTimeout" }
__OSX_AVAILABLE_STARTING(__MAC_10_4,__IPHONE_NA);

const kSCPropNetDNSSortList: CFStringRef; { CFArray[CFString]	"SortList" }
__OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA);

const kSCPropNetDNSSupplementalMatchDomains: CFStringRef; { CFArray[CFString]	"SupplementalMatchDomains" }
__OSX_AVAILABLE_STARTING(__MAC_10_4,__IPHONE_NA);

const kSCPropNetDNSSupplementalMatchOrders: CFStringRef; { CFArray[CFNumber]	"SupplementalMatchOrders" }
__OSX_AVAILABLE_STARTING(__MAC_10_4,__IPHONE_NA);

const kSCPropNetEthernetMediaSubType: CFStringRef; { CFString	"MediaSubType" }
__OSX_AVAILABLE_STARTING(__MAC_10_2,__IPHONE_NA);

const kSCPropNetEthernetMediaOptions: CFStringRef; { CFArray[CFString]	"MediaOptions" }
__OSX_AVAILABLE_STARTING(__MAC_10_2,__IPHONE_NA);

const kSCPropNetEthernetMTU: CFStringRef; { CFNumber	"MTU" }
__OSX_AVAILABLE_STARTING(__MAC_10_2,__IPHONE_NA);

const kSCPropNetInterfaceDeviceName: CFStringRef; { CFString	"DeviceName" }
__OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA);

const kSCPropNetInterfaceHardware: CFStringRef; { CFString	"Hardware" }
__OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA);

const kSCPropNetInterfaceType: CFStringRef; { CFString	"Type" }
__OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA);

const kSCPropNetInterfaceSubType: CFStringRef; { CFString	"SubType" }
__OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA);

const kSCPropNetInterfaceSupportsModemOnHold: CFStringRef; { CFNumber (0 or 1)	"SupportsModemOnHold" }
__OSX_AVAILABLE_STARTING(__MAC_10_2,__IPHONE_NA);

const kSCValNetInterfaceTypeEthernet: CFStringRef; { 	"Ethernet" }
__OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA);

const kSCValNetInterfaceTypeFireWire: CFStringRef; { 	"FireWire" }
__OSX_AVAILABLE_STARTING(__MAC_10_3,__IPHONE_NA);

const kSCValNetInterfaceTypePPP: CFStringRef; { 	"PPP" }
__OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA);

const kSCValNetInterfaceType6to4: CFStringRef; { 	"6to4" }
__OSX_AVAILABLE_STARTING(__MAC_10_3,__IPHONE_NA);

const kSCValNetInterfaceTypeIPSec: CFStringRef; { 	"IPSec" }
__OSX_AVAILABLE_STARTING(__MAC_10_6,__IPHONE_NA);

const kSCValNetInterfaceSubTypePPPoE: CFStringRef; { 	"PPPoE" }
__OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA);

const kSCValNetInterfaceSubTypePPPSerial: CFStringRef; { 	"PPPSerial" }
__OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA);

const kSCValNetInterfaceSubTypePPTP: CFStringRef; { 	"PPTP" }
__OSX_AVAILABLE_STARTING(__MAC_10_2,__IPHONE_NA);

const kSCValNetInterfaceSubTypeL2TP: CFStringRef; { 	"L2TP" }
__OSX_AVAILABLE_STARTING(__MAC_10_3,__IPHONE_NA);

const kSCPropNetIPSecAuthenticationMethod: CFStringRef; { CFString	"AuthenticationMethod" }
__OSX_AVAILABLE_STARTING(__MAC_10_5,__IPHONE_NA);

const kSCPropNetIPSecLocalCertificate: CFStringRef; { CFData	"LocalCertificate" }
__OSX_AVAILABLE_STARTING(__MAC_10_5,__IPHONE_NA);

const kSCPropNetIPSecLocalIdentifier: CFStringRef; { CFString	"LocalIdentifier" }
__OSX_AVAILABLE_STARTING(__MAC_10_5,__IPHONE_NA);

const kSCPropNetIPSecLocalIdentifierType: CFStringRef; { CFString	"LocalIdentifierType" }
__OSX_AVAILABLE_STARTING(__MAC_10_5,__IPHONE_NA);

const kSCPropNetIPSecSharedSecret: CFStringRef; { CFString	"SharedSecret" }
__OSX_AVAILABLE_STARTING(__MAC_10_5,__IPHONE_NA);

const kSCPropNetIPSecSharedSecretEncryption: CFStringRef; { CFString	"SharedSecretEncryption" }
__OSX_AVAILABLE_STARTING(__MAC_10_5,__IPHONE_NA);

const kSCPropNetIPSecConnectTime: CFStringRef; { CFNumber	"ConnectTime" }
__OSX_AVAILABLE_STARTING(__MAC_10_6,__IPHONE_NA);

const kSCPropNetIPSecRemoteAddress: CFStringRef; { CFString	"RemoteAddress" }
__OSX_AVAILABLE_STARTING(__MAC_10_6,__IPHONE_NA);

const kSCPropNetIPSecStatus: CFStringRef; { CFNumber	"Status" }
__OSX_AVAILABLE_STARTING(__MAC_10_6,__IPHONE_NA);

const kSCPropNetIPSecXAuthEnabled: CFStringRef; { CFNumber (0 or 1)	"XAuthEnabled" }
__OSX_AVAILABLE_STARTING(__MAC_10_6,__IPHONE_NA);

const kSCPropNetIPSecXAuthName: CFStringRef; { CFString	"XAuthName" }
__OSX_AVAILABLE_STARTING(__MAC_10_6,__IPHONE_NA);

const kSCPropNetIPSecXAuthPassword: CFStringRef; { CFString	"XAuthPassword" }
__OSX_AVAILABLE_STARTING(__MAC_10_6,__IPHONE_NA);

const kSCPropNetIPSecXAuthPasswordEncryption: CFStringRef; { CFString	"XAuthPasswordEncryption" }
__OSX_AVAILABLE_STARTING(__MAC_10_6,__IPHONE_NA);

const kSCValNetIPSecAuthenticationMethodSharedSecret: CFStringRef; { 	"SharedSecret" }
__OSX_AVAILABLE_STARTING(__MAC_10_5,__IPHONE_NA);

const kSCValNetIPSecAuthenticationMethodCertificate: CFStringRef; { 	"Certificate" }
__OSX_AVAILABLE_STARTING(__MAC_10_5,__IPHONE_NA);

const kSCValNetIPSecAuthenticationMethodHybrid: CFStringRef; { 	"Hybrid" }
__OSX_AVAILABLE_STARTING(__MAC_10_5,__IPHONE_NA);

const kSCValNetIPSecLocalIdentifierTypeKeyID: CFStringRef; { 	"KeyID" }
__OSX_AVAILABLE_STARTING(__MAC_10_5,__IPHONE_NA);

const kSCValNetIPSecSharedSecretEncryptionKeychain: CFStringRef; { 	"Keychain" }
__OSX_AVAILABLE_STARTING(__MAC_10_5,__IPHONE_NA);

const kSCValNetIPSecXAuthPasswordEncryptionKeychain: CFStringRef; { 	"Keychain" }
__OSX_AVAILABLE_STARTING(__MAC_10_6,__IPHONE_NA);

const kSCValNetIPSecXAuthPasswordEncryptionPrompt: CFStringRef; { 	"Prompt" }
__OSX_AVAILABLE_STARTING(__MAC_10_6,__IPHONE_NA);

const kSCPropNetIPv4Addresses: CFStringRef; { CFArray[CFString]	"Addresses" }
__OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA);

const kSCPropNetIPv4ConfigMethod: CFStringRef; { CFString	"ConfigMethod" }
__OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA);

const kSCPropNetIPv4DHCPClientID: CFStringRef; { CFString	"DHCPClientID" }
__OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA);

const kSCPropNetIPv4Router: CFStringRef; { CFString	"Router" }
__OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA);

const kSCPropNetIPv4SubnetMasks: CFStringRef; { CFArray[CFString]	"SubnetMasks" }
__OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA);

const kSCPropNetIPv4DestAddresses: CFStringRef; { CFArray[CFString]	"DestAddresses" }
__OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA);

const kSCPropNetIPv4BroadcastAddresses: CFStringRef; { CFArray[CFString]	"BroadcastAddresses" }
__OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA);

const kSCValNetIPv4ConfigMethodAutomatic: CFStringRef; { 	"Automatic" }
__OSX_AVAILABLE_STARTING(__MAC_10_6,__IPHONE_NA);

const kSCValNetIPv4ConfigMethodBOOTP: CFStringRef; { 	"BOOTP" }
__OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA);

const kSCValNetIPv4ConfigMethodDHCP: CFStringRef; { 	"DHCP" }
__OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA);

const kSCValNetIPv4ConfigMethodINFORM: CFStringRef; { 	"INFORM" }
__OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA);

const kSCValNetIPv4ConfigMethodLinkLocal: CFStringRef; { 	"LinkLocal" }
__OSX_AVAILABLE_STARTING(__MAC_10_2,__IPHONE_NA);

const kSCValNetIPv4ConfigMethodManual: CFStringRef; { 	"Manual" }
__OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA);

const kSCValNetIPv4ConfigMethodPPP: CFStringRef; { 	"PPP" }
__OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA);

const kSCPropNetIPv6Addresses: CFStringRef; { CFArray[CFString]	"Addresses" }
__OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA);

const kSCPropNetIPv6ConfigMethod: CFStringRef; { CFString	"ConfigMethod" }
__OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA);

const kSCPropNetIPv6DestAddresses: CFStringRef; { CFArray[CFString]	"DestAddresses" }
__OSX_AVAILABLE_STARTING(__MAC_10_3,__IPHONE_NA);

const kSCPropNetIPv6Flags: CFStringRef; { CFNumber	"Flags" }
__OSX_AVAILABLE_STARTING(__MAC_10_3,__IPHONE_NA);

const kSCPropNetIPv6PrefixLength: CFStringRef; { CFArray[CFNumber]	"PrefixLength" }
__OSX_AVAILABLE_STARTING(__MAC_10_3,__IPHONE_NA);

const kSCPropNetIPv6Router: CFStringRef; { CFString	"Router" }
__OSX_AVAILABLE_STARTING(__MAC_10_3,__IPHONE_NA);

const kSCValNetIPv6ConfigMethodAutomatic: CFStringRef; { 	"Automatic" }
__OSX_AVAILABLE_STARTING(__MAC_10_3,__IPHONE_NA);

const kSCValNetIPv6ConfigMethodLinkLocal: CFStringRef; { 	"LinkLocal" }
__OSX_AVAILABLE_STARTING(__MAC_10_7,__IPHONE_NA);

const kSCValNetIPv6ConfigMethodManual: CFStringRef; { 	"Manual" }
__OSX_AVAILABLE_STARTING(__MAC_10_3,__IPHONE_NA);

const kSCValNetIPv6ConfigMethodRouterAdvertisement: CFStringRef; { 	"RouterAdvertisement" }
__OSX_AVAILABLE_STARTING(__MAC_10_3,__IPHONE_NA);

const kSCValNetIPv6ConfigMethod6to4: CFStringRef; { 	"6to4" }
__OSX_AVAILABLE_STARTING(__MAC_10_3,__IPHONE_NA);

const kSCPropNet6to4Relay: CFStringRef; { CFString	"Relay" }
__OSX_AVAILABLE_STARTING(__MAC_10_3,__IPHONE_NA);

const kSCPropNetLinkActive: CFStringRef; { CFBoolean	"Active" }
__OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA);

const kSCPropNetLinkDetaching: CFStringRef; { CFBoolean	"Detaching" }
__OSX_AVAILABLE_STARTING(__MAC_10_2,__IPHONE_NA);

const kSCPropNetModemAccessPointName: CFStringRef; { CFString	"AccessPointName" }
__OSX_AVAILABLE_STARTING(__MAC_10_5,__IPHONE_NA);

const kSCPropNetModemConnectionPersonality: CFStringRef; { CFString	"ConnectionPersonality" }
__OSX_AVAILABLE_STARTING(__MAC_10_5,__IPHONE_NA);

const kSCPropNetModemConnectionScript: CFStringRef; { CFString	"ConnectionScript" }
__OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA);

const kSCPropNetModemConnectSpeed: CFStringRef; { CFNumber	"ConnectSpeed" }
__OSX_AVAILABLE_STARTING(__MAC_10_2,__IPHONE_NA);

const kSCPropNetModemDataCompression: CFStringRef; { CFNumber (0 or 1)	"DataCompression" }
__OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA);

const kSCPropNetModemDeviceContextID: CFStringRef; { CFString	"DeviceContextID" }
__OSX_AVAILABLE_STARTING(__MAC_10_5,__IPHONE_NA);

const kSCPropNetModemDeviceModel: CFStringRef; { CFString	"DeviceModel" }
__OSX_AVAILABLE_STARTING(__MAC_10_5,__IPHONE_NA);

const kSCPropNetModemDeviceVendor: CFStringRef; { CFString	"DeviceVendor" }
__OSX_AVAILABLE_STARTING(__MAC_10_5,__IPHONE_NA);

const kSCPropNetModemDialMode: CFStringRef; { CFString	"DialMode" }
__OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA);

const kSCPropNetModemErrorCorrection: CFStringRef; { CFNumber (0 or 1)	"ErrorCorrection" }
__OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA);

const kSCPropNetModemHoldCallWaitingAudibleAlert: CFStringRef; { CFNumber (0 or 1)	"HoldCallWaitingAudibleAlert" }
__OSX_AVAILABLE_STARTING(__MAC_10_2,__IPHONE_NA);

const kSCPropNetModemHoldDisconnectOnAnswer: CFStringRef; { CFNumber (0 or 1)	"HoldDisconnectOnAnswer" }
__OSX_AVAILABLE_STARTING(__MAC_10_2,__IPHONE_NA);

const kSCPropNetModemHoldEnabled: CFStringRef; { CFNumber (0 or 1)	"HoldEnabled" }
__OSX_AVAILABLE_STARTING(__MAC_10_2,__IPHONE_NA);

const kSCPropNetModemHoldReminder: CFStringRef; { CFNumber (0 or 1)	"HoldReminder" }
__OSX_AVAILABLE_STARTING(__MAC_10_2,__IPHONE_NA);

const kSCPropNetModemHoldReminderTime: CFStringRef; { CFNumber	"HoldReminderTime" }
__OSX_AVAILABLE_STARTING(__MAC_10_2,__IPHONE_NA);

const kSCPropNetModemNote: CFStringRef; { CFString	"Note" }
__OSX_AVAILABLE_STARTING(__MAC_10_2,__IPHONE_NA);

const kSCPropNetModemPulseDial: CFStringRef; { CFNumber (0 or 1)	"PulseDial" }
__OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA);

const kSCPropNetModemSpeaker: CFStringRef; { CFNumber (0 or 1)	"Speaker" }
__OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA);

const kSCPropNetModemSpeed: CFStringRef; { CFNumber	"Speed" }
__OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA);

const kSCValNetModemDialModeIgnoreDialTone: CFStringRef; { 	"IgnoreDialTone" }
__OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA);

const kSCValNetModemDialModeManual: CFStringRef; { 	"Manual" }
__OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA);

const kSCValNetModemDialModeWaitForDialTone: CFStringRef; { 	"WaitForDialTone" }
__OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA);

{$ifc not TARGET_OS_IPHONE}

const kSCPropNetNetInfoBindingMethods: CFStringRef; { CFString	"BindingMethods" }
__OSX_AVAILABLE_BUT_DEPRECATED(__MAC_10_1,__MAC_10_5,__IPHONE_NA,__IPHONE_NA);

const kSCPropNetNetInfoServerAddresses: CFStringRef; { CFArray[CFString]	"ServerAddresses" }
__OSX_AVAILABLE_BUT_DEPRECATED(__MAC_10_1,__MAC_10_5,__IPHONE_NA,__IPHONE_NA);

const kSCPropNetNetInfoServerTags: CFStringRef; { CFArray[CFString]	"ServerTags" }
__OSX_AVAILABLE_BUT_DEPRECATED(__MAC_10_1,__MAC_10_5,__IPHONE_NA,__IPHONE_NA);

const kSCPropNetNetInfoBroadcastServerTag: CFStringRef; { CFString	"BroadcastServerTag" }
__OSX_AVAILABLE_BUT_DEPRECATED(__MAC_10_1,__MAC_10_5,__IPHONE_NA,__IPHONE_NA);

const kSCValNetNetInfoBindingMethodsBroadcast: CFStringRef; { 	"Broadcast" }
__OSX_AVAILABLE_BUT_DEPRECATED(__MAC_10_1,__MAC_10_5,__IPHONE_NA,__IPHONE_NA);

const kSCValNetNetInfoBindingMethodsDHCP: CFStringRef; { 	"DHCP" }
__OSX_AVAILABLE_BUT_DEPRECATED(__MAC_10_1,__MAC_10_5,__IPHONE_NA,__IPHONE_NA);

const kSCValNetNetInfoBindingMethodsManual: CFStringRef; { 	"Manual" }
__OSX_AVAILABLE_BUT_DEPRECATED(__MAC_10_1,__MAC_10_5,__IPHONE_NA,__IPHONE_NA);

const kSCValNetNetInfoDefaultServerTag: CFStringRef; { 	"network" }
__OSX_AVAILABLE_BUT_DEPRECATED(__MAC_10_1,__MAC_10_5,__IPHONE_NA,__IPHONE_NA);

{$endc} {not TARGET_OS_IPHONE}

const kSCPropNetPPPACSPEnabled: CFStringRef; { CFNumber (0 or 1)	"ACSPEnabled" }
__OSX_AVAILABLE_STARTING(__MAC_10_3,__IPHONE_NA);

const kSCPropNetPPPConnectTime: CFStringRef; { CFNumber	"ConnectTime" }
__OSX_AVAILABLE_STARTING(__MAC_10_2,__IPHONE_NA);

const kSCPropNetPPPDeviceLastCause: CFStringRef; { CFNumber	"DeviceLastCause" }
__OSX_AVAILABLE_STARTING(__MAC_10_2,__IPHONE_NA);

const kSCPropNetPPPDialOnDemand: CFStringRef; { CFNumber (0 or 1)	"DialOnDemand" }
__OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA);

const kSCPropNetPPPDisconnectOnFastUserSwitch: CFStringRef; { CFNumber (0 or 1)	"DisconnectOnFastUserSwitch" }
__OSX_AVAILABLE_STARTING(__MAC_10_4,__IPHONE_NA);

const kSCPropNetPPPDisconnectOnIdle: CFStringRef; { CFNumber (0 or 1)	"DisconnectOnIdle" }
__OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA);

const kSCPropNetPPPDisconnectOnIdleTimer: CFStringRef; { CFNumber	"DisconnectOnIdleTimer" }
__OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA);

const kSCPropNetPPPDisconnectOnLogout: CFStringRef; { CFNumber (0 or 1)	"DisconnectOnLogout" }
__OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA);

const kSCPropNetPPPDisconnectOnSleep: CFStringRef; { CFNumber (0 or 1)	"DisconnectOnSleep" }
__OSX_AVAILABLE_STARTING(__MAC_10_2,__IPHONE_NA);

const kSCPropNetPPPDisconnectTime: CFStringRef; { CFNumber	"DisconnectTime" }
__OSX_AVAILABLE_STARTING(__MAC_10_3,__IPHONE_NA);

const kSCPropNetPPPIdleReminderTimer: CFStringRef; { CFNumber	"IdleReminderTimer" }
__OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA);

const kSCPropNetPPPIdleReminder: CFStringRef; { CFNumber (0 or 1)	"IdleReminder" }
__OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA);

const kSCPropNetPPPLastCause: CFStringRef; { CFNumber	"LastCause" }
__OSX_AVAILABLE_STARTING(__MAC_10_2,__IPHONE_NA);

const kSCPropNetPPPLogfile: CFStringRef; { CFString	"Logfile" }
__OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA);

const kSCPropNetPPPPlugins: CFStringRef; { CFArray[CFString]	"Plugins" }
__OSX_AVAILABLE_STARTING(__MAC_10_2,__IPHONE_NA);

const kSCPropNetPPPRetryConnectTime: CFStringRef; { CFNumber	"RetryConnectTime" }
__OSX_AVAILABLE_STARTING(__MAC_10_3,__IPHONE_NA);

const kSCPropNetPPPSessionTimer: CFStringRef; { CFNumber	"SessionTimer" }
__OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA);

const kSCPropNetPPPStatus: CFStringRef; { CFNumber	"Status" }
__OSX_AVAILABLE_STARTING(__MAC_10_2,__IPHONE_NA);

const kSCPropNetPPPUseSessionTimer: CFStringRef; { CFNumber (0 or 1)	"UseSessionTimer" }
__OSX_AVAILABLE_STARTING(__MAC_10_2,__IPHONE_NA);

const kSCPropNetPPPVerboseLogging: CFStringRef; { CFNumber (0 or 1)	"VerboseLogging" }
__OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA);

const kSCPropNetPPPAuthEAPPlugins: CFStringRef; { CFArray[CFString]	"AuthEAPPlugins" }
__OSX_AVAILABLE_STARTING(__MAC_10_3,__IPHONE_NA);

const kSCPropNetPPPAuthName: CFStringRef; { CFString	"AuthName" }
__OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA);

const kSCPropNetPPPAuthPassword: CFStringRef; { CFString	"AuthPassword" }
__OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA);

const kSCPropNetPPPAuthPasswordEncryption: CFStringRef; { CFString	"AuthPasswordEncryption" }
__OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA);

const kSCPropNetPPPAuthPrompt: CFStringRef; { CFString	"AuthPrompt" }
__OSX_AVAILABLE_STARTING(__MAC_10_3,__IPHONE_NA);

const kSCPropNetPPPAuthProtocol: CFStringRef; { CFArray[CFString]	"AuthProtocol" }
__OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA);

const kSCValNetPPPAuthPasswordEncryptionKeychain: CFStringRef; { 	"Keychain" }
__OSX_AVAILABLE_STARTING(__MAC_10_3,__IPHONE_NA);

const kSCValNetPPPAuthPasswordEncryptionToken: CFStringRef; { 	"Token" }
__OSX_AVAILABLE_STARTING(__MAC_10_5,__IPHONE_NA);

const kSCValNetPPPAuthPromptBefore: CFStringRef; { CFString	"Before" }
__OSX_AVAILABLE_STARTING(__MAC_10_3,__IPHONE_NA);

const kSCValNetPPPAuthPromptAfter: CFStringRef; { CFString	"After" }
__OSX_AVAILABLE_STARTING(__MAC_10_3,__IPHONE_NA);

const kSCValNetPPPAuthProtocolCHAP: CFStringRef; { CFString	"CHAP" }
__OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA);

const kSCValNetPPPAuthProtocolEAP: CFStringRef; { CFString	"EAP" }
__OSX_AVAILABLE_STARTING(__MAC_10_3,__IPHONE_NA);

const kSCValNetPPPAuthProtocolMSCHAP1: CFStringRef; { CFString	"MSCHAP1" }
__OSX_AVAILABLE_STARTING(__MAC_10_3,__IPHONE_NA);

const kSCValNetPPPAuthProtocolMSCHAP2: CFStringRef; { CFString	"MSCHAP2" }
__OSX_AVAILABLE_STARTING(__MAC_10_3,__IPHONE_NA);

const kSCValNetPPPAuthProtocolPAP: CFStringRef; { CFString	"PAP" }
__OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA);

const kSCPropNetPPPCommAlternateRemoteAddress: CFStringRef; { CFString	"CommAlternateRemoteAddress" }
__OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA);

const kSCPropNetPPPCommConnectDelay: CFStringRef; { CFNumber	"CommConnectDelay" }
__OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA);

const kSCPropNetPPPCommDisplayTerminalWindow: CFStringRef; { CFNumber (0 or 1)	"CommDisplayTerminalWindow" }
__OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA);

const kSCPropNetPPPCommRedialCount: CFStringRef; { CFNumber	"CommRedialCount" }
__OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA);

const kSCPropNetPPPCommRedialEnabled: CFStringRef; { CFNumber (0 or 1)	"CommRedialEnabled" }
__OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA);

const kSCPropNetPPPCommRedialInterval: CFStringRef; { CFNumber	"CommRedialInterval" }
__OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA);

const kSCPropNetPPPCommRemoteAddress: CFStringRef; { CFString	"CommRemoteAddress" }
__OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA);

const kSCPropNetPPPCommTerminalScript: CFStringRef; { CFString	"CommTerminalScript" }
__OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA);

const kSCPropNetPPPCommUseTerminalScript: CFStringRef; { CFNumber (0 or 1)	"CommUseTerminalScript" }
__OSX_AVAILABLE_STARTING(__MAC_10_2,__IPHONE_NA);

const kSCPropNetPPPCCPEnabled: CFStringRef; { CFNumber (0 or 1)	"CCPEnabled" }
__OSX_AVAILABLE_STARTING(__MAC_10_2,__IPHONE_NA);

const kSCPropNetPPPCCPMPPE40Enabled: CFStringRef; { CFNumber (0 or 1)	"CCPMPPE40Enabled" }
__OSX_AVAILABLE_STARTING(__MAC_10_4,__IPHONE_NA);

const kSCPropNetPPPCCPMPPE128Enabled: CFStringRef; { CFNumber (0 or 1)	"CCPMPPE128Enabled" }
__OSX_AVAILABLE_STARTING(__MAC_10_4,__IPHONE_NA);

const kSCPropNetPPPIPCPCompressionVJ: CFStringRef; { CFNumber (0 or 1)	"IPCPCompressionVJ" }
__OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA);

const kSCPropNetPPPIPCPUsePeerDNS: CFStringRef; { CFNumber (0 or 1)	"IPCPUsePeerDNS" }
__OSX_AVAILABLE_STARTING(__MAC_10_4,__IPHONE_NA);

const kSCPropNetPPPLCPEchoEnabled: CFStringRef; { CFNumber (0 or 1)	"LCPEchoEnabled" }
__OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA);

const kSCPropNetPPPLCPEchoFailure: CFStringRef; { CFNumber	"LCPEchoFailure" }
__OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA);

const kSCPropNetPPPLCPEchoInterval: CFStringRef; { CFNumber	"LCPEchoInterval" }
__OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA);

const kSCPropNetPPPLCPCompressionACField: CFStringRef; { CFNumber (0 or 1)	"LCPCompressionACField" }
__OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA);

const kSCPropNetPPPLCPCompressionPField: CFStringRef; { CFNumber (0 or 1)	"LCPCompressionPField" }
__OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA);

const kSCPropNetPPPLCPMRU: CFStringRef; { CFNumber	"LCPMRU" }
__OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA);

const kSCPropNetPPPLCPMTU: CFStringRef; { CFNumber	"LCPMTU" }
__OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA);

const kSCPropNetPPPLCPReceiveACCM: CFStringRef; { CFNumber	"LCPReceiveACCM" }
__OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA);

const kSCPropNetPPPLCPTransmitACCM: CFStringRef; { CFNumber	"LCPTransmitACCM" }
__OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA);

const kSCPropNetL2TPIPSecSharedSecret: CFStringRef; { CFString	"IPSecSharedSecret" }
__OSX_AVAILABLE_STARTING(__MAC_10_3,__IPHONE_NA);

const kSCPropNetL2TPIPSecSharedSecretEncryption: CFStringRef; { CFString	"IPSecSharedSecretEncryption" }
__OSX_AVAILABLE_STARTING(__MAC_10_3,__IPHONE_NA);

const kSCPropNetL2TPTransport: CFStringRef; { CFString	"Transport" }
__OSX_AVAILABLE_STARTING(__MAC_10_3,__IPHONE_NA);

const kSCValNetL2TPIPSecSharedSecretEncryptionKeychain: CFStringRef; { 	"Keychain" }
__OSX_AVAILABLE_STARTING(__MAC_10_3,__IPHONE_NA);

const kSCValNetL2TPTransportIP: CFStringRef; { 	"IP" }
__OSX_AVAILABLE_STARTING(__MAC_10_3,__IPHONE_NA);

const kSCValNetL2TPTransportIPSec: CFStringRef; { 	"IPSec" }
__OSX_AVAILABLE_STARTING(__MAC_10_3,__IPHONE_NA);

const kSCPropNetProxiesExceptionsList: CFStringRef; { CFArray[CFString]	"ExceptionsList" }
__OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA);

const kSCPropNetProxiesExcludeSimpleHostnames: CFStringRef; { CFNumber (0 or 1)	"ExcludeSimpleHostnames" }
__OSX_AVAILABLE_STARTING(__MAC_10_4,__IPHONE_NA);

const kSCPropNetProxiesFTPEnable: CFStringRef; { CFNumber (0 or 1)	"FTPEnable" }
__OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA);

const kSCPropNetProxiesFTPPassive: CFStringRef; { CFNumber (0 or 1)	"FTPPassive" }
__OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA);

const kSCPropNetProxiesFTPPort: CFStringRef; { CFNumber	"FTPPort" }
__OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA);

const kSCPropNetProxiesFTPProxy: CFStringRef; { CFString	"FTPProxy" }
__OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA);

const kSCPropNetProxiesGopherEnable: CFStringRef; { CFNumber (0 or 1)	"GopherEnable" }
__OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA);

const kSCPropNetProxiesGopherPort: CFStringRef; { CFNumber	"GopherPort" }
__OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA);

const kSCPropNetProxiesGopherProxy: CFStringRef; { CFString	"GopherProxy" }
__OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA);

const kSCPropNetProxiesHTTPEnable: CFStringRef; { CFNumber (0 or 1)	"HTTPEnable" }
__OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA);

const kSCPropNetProxiesHTTPPort: CFStringRef; { CFNumber	"HTTPPort" }
__OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA);

const kSCPropNetProxiesHTTPProxy: CFStringRef; { CFString	"HTTPProxy" }
__OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA);

const kSCPropNetProxiesHTTPSEnable: CFStringRef; { CFNumber (0 or 1)	"HTTPSEnable" }
__OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA);

const kSCPropNetProxiesHTTPSPort: CFStringRef; { CFNumber	"HTTPSPort" }
__OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA);

const kSCPropNetProxiesHTTPSProxy: CFStringRef; { CFString	"HTTPSProxy" }
__OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA);

const kSCPropNetProxiesRTSPEnable: CFStringRef; { CFNumber (0 or 1)	"RTSPEnable" }
__OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA);

const kSCPropNetProxiesRTSPPort: CFStringRef; { CFNumber	"RTSPPort" }
__OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA);

const kSCPropNetProxiesRTSPProxy: CFStringRef; { CFString	"RTSPProxy" }
__OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA);

const kSCPropNetProxiesSOCKSEnable: CFStringRef; { CFNumber (0 or 1)	"SOCKSEnable" }
__OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA);

const kSCPropNetProxiesSOCKSPort: CFStringRef; { CFNumber	"SOCKSPort" }
__OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA);

const kSCPropNetProxiesSOCKSProxy: CFStringRef; { CFString	"SOCKSProxy" }
__OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA);

const kSCPropNetProxiesProxyAutoConfigEnable: CFStringRef; { CFNumber (0 or 1)	"ProxyAutoConfigEnable" }
__OSX_AVAILABLE_STARTING(__MAC_10_4,__IPHONE_NA);

const kSCPropNetProxiesProxyAutoConfigJavaScript: CFStringRef; { CFString	"ProxyAutoConfigJavaScript" }
__OSX_AVAILABLE_STARTING(__MAC_10_7,__IPHONE_NA);

const kSCPropNetProxiesProxyAutoConfigURLString: CFStringRef; { CFString	"ProxyAutoConfigURLString" }
__OSX_AVAILABLE_STARTING(__MAC_10_4,__IPHONE_NA);

const kSCPropNetProxiesProxyAutoDiscoveryEnable: CFStringRef; { CFNumber (0 or 1)	"ProxyAutoDiscoveryEnable" }
__OSX_AVAILABLE_STARTING(__MAC_10_4,__IPHONE_NA);

{$ifc not TARGET_OS_IPHONE}

const kSCPropNetSMBNetBIOSName: CFStringRef; { CFString	"NetBIOSName" }
__OSX_AVAILABLE_STARTING(__MAC_10_5,__IPHONE_NA);

const kSCPropNetSMBNetBIOSNodeType: CFStringRef; { CFString	"NetBIOSNodeType" }
__OSX_AVAILABLE_STARTING(__MAC_10_5,__IPHONE_NA);

const kSCPropNetSMBNetBIOSScope: CFStringRef; { CFString	"NetBIOSScope" }
__OSX_AVAILABLE_STARTING(__MAC_10_5,__IPHONE_NA);

const kSCPropNetSMBWINSAddresses: CFStringRef; { CFArray[CFString]	"WINSAddresses" }
__OSX_AVAILABLE_STARTING(__MAC_10_5,__IPHONE_NA);

const kSCPropNetSMBWorkgroup: CFStringRef; { CFString	"Workgroup" }
__OSX_AVAILABLE_STARTING(__MAC_10_5,__IPHONE_NA);

const kSCValNetSMBNetBIOSNodeTypeBroadcast: CFStringRef; { 	"Broadcast" }
__OSX_AVAILABLE_STARTING(__MAC_10_5,__IPHONE_NA);

const kSCValNetSMBNetBIOSNodeTypePeer: CFStringRef; { 	"Peer" }
__OSX_AVAILABLE_STARTING(__MAC_10_5,__IPHONE_NA);

const kSCValNetSMBNetBIOSNodeTypeMixed: CFStringRef; { 	"Mixed" }
__OSX_AVAILABLE_STARTING(__MAC_10_5,__IPHONE_NA);

const kSCValNetSMBNetBIOSNodeTypeHybrid: CFStringRef; { 	"Hybrid" }
__OSX_AVAILABLE_STARTING(__MAC_10_5,__IPHONE_NA);

{$endc} {not TARGET_OS_IPHONE}

{$ifc not TARGET_OS_IPHONE}

const kSCEntUsersConsoleUser: CFStringRef; { 	"ConsoleUser" }
__OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA);

{$endc} {not TARGET_OS_IPHONE}

const kSCPropSystemComputerName: CFStringRef; { CFString	"ComputerName" }
__OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA);

const kSCPropSystemComputerNameEncoding: CFStringRef; { CFNumber	"ComputerNameEncoding" }
__OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA);

const kSCDynamicStoreDomainFile: CFStringRef; { 	"File:" }
__OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA);

const kSCDynamicStoreDomainPlugin: CFStringRef; { 	"Plugin:" }
__OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA);

const kSCDynamicStoreDomainSetup: CFStringRef; { 	"Setup:" }
__OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA);

const kSCDynamicStoreDomainState: CFStringRef; { 	"State:" }
__OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA);

const kSCDynamicStoreDomainPrefs: CFStringRef; { 	"Prefs:" }
__OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA);

const kSCDynamicStorePropSetupCurrentSet: CFStringRef; { CFString	"CurrentSet" }
__OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA);

const kSCDynamicStorePropSetupLastUpdated: CFStringRef; { 	"LastUpdated" }
__OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA);

const kSCDynamicStorePropNetInterfaces: CFStringRef; { CFArray[CFString]	"Interfaces" }
__OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA);

const kSCDynamicStorePropNetPrimaryInterface: CFStringRef; { CFString	"PrimaryInterface" }
__OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA);

const kSCDynamicStorePropNetPrimaryService: CFStringRef; { CFString	"PrimaryService" }
__OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA);

const kSCDynamicStorePropNetServiceIDs: CFStringRef; { CFArray[CFString]	"ServiceIDs" }
__OSX_AVAILABLE_STARTING(__MAC_10_1,__IPHONE_NA);

{$ifc not TARGET_OS_IPHONE}

const kSCPropUsersConsoleUserName = CFSTR( 'Name' );                            { CFString }
// __OSX_AVAILABLE_BUT_DEPRECATED(__MAC_10_1,__MAC_10_4,__IPHONE_NA,__IPHONE_NA);

const kSCPropUsersConsoleUserUID = CFSTR( 'UID' );                             { CFNumber }
// __OSX_AVAILABLE_BUT_DEPRECATED(__MAC_10_1,__MAC_10_4,__IPHONE_NA,__IPHONE_NA);

const kSCPropUsersConsoleUserGID = CFSTR( 'GID' );                             { CFNumber }
// __OSX_AVAILABLE_BUT_DEPRECATED(__MAC_10_1,__MAC_10_4,__IPHONE_NA,__IPHONE_NA);

{$endc} {not TARGET_OS_IPHONE}


{$endc} {TARGET_OS_MAC}


end.
